Subject: bug#10324: [Platform-testers] Automake 1.11.1b test release

From: Bruno Haible <[email-masked]>
Date: Mon, 19 Dec 2011 03:11:42 +0100

> The pre-release automake version 1.11.1b is now available at
> <ftp://alpha.gnu.org/gnu/automake>.

Some builds took longer. Here are the results:

===============================================================================

* Linux/PowerPC

FAIL: lzma.test

The test-suite.log shows this:

tardir=lzma-1.0 && /bin/bash /home/haible/multibuild-1552/linuxppc32/automake-1.11.1b/tests/lzma.dir/missing --run tar chof - "$tardir" | lzma -9 -c >lzma-1.0.tar.lzma
lzma: Cannot allocate memory
tar: -: Wrote only 4096 of 10240 bytes
tar: Error is not recoverable: exiting now
tar: -: Cannot write: Broken pipe
tar: Error is not recoverable: exiting now
tar: -: Cannot write: Broken pipe
tar: Error is not recoverable: exiting now
WARNING: I can't seem to be able to run `tar' with the given arguments.
         You may want to install GNU tar or Free paxutils, or check the
         command line arguments.
make: *** [dist] Error 1

The 'lzma' process apparently exceeds the ulimits for memory or virtual
memory set on this machine. Maybe you can reduce the compression option:
-9 takes a huge amount of memory, as you can see from
http://tukaani.org/lzma/benchmarks.html section "Memory requirements".

===============================================================================

* Linux/PowerPC 64-bit

FAIL: silent-many-generic.test

Find attached the log file. I configured Automake with
CC="gcc -m64"; export CC;
CXX="g++ -m64"; export CXX;
CPPFLAGS="-Wall"; export CPPFLAGS;
./configure --prefix=$HOME/prefix-linux-ppc64

Apparently a 32-bit libfl.a and libfl.so exists in /usr/lib, but no 64-bit
libfl.a and libfl.so exists in /usr/lib64. The AC_PROG_LEX macro apparently
does not detect the missing library support, so it gets unnoticed until the
linker complains.

===============================================================================

* mingw

All 795 tests behaved as expected (11 expected failures)

===============================================================================

* msvc9

FAIL: silent-lex-generic.test

This is due to the use of <unistd.h> in the flex-generated <unistd.h>.
When gnulib is in use, it is ok to use <unistd.h> on MSVC platforms, but
without gnulib, it doesn't work.

FAIL: specflg10.test

Problem with the dependency support.

Find attached the log file.

I used the configuration commands

CC="$HOME/msvc/compile cl -nologo"; export CC;
CFLAGS=""; export CFLAGS;
CXX="$HOME/msvc/compile cl -nologo"; export CXX;
CXXFLAGS=""; export CXXFLAGS;
CPPFLAGS="-D_WIN32_WINNT=_WIN32_WINNT_WINXP -I/usr/local/msvc/include"; export CPPFLAGS;
LDFLAGS="-L/usr/local/msvc/lib"; export LDFLAGS;
LD="link"; export LD;
NM="dumpbin -symbols"; export NM;
STRIP=":"; export STRIP;
AR="$HOME/msvc/ar-lib lib"; export AR;
RANLIB=":"; export RANLIB;
./configure --host=i586-pc-mingw32 --prefix=/usr/local/msvc

===============================================================================

* Cygwin 1.7.9

19 of 808 tests failed

FAIL: distcheck-override-infodir.test
FAIL: fort4.test
FAIL: gettext.test
FAIL: instdir-texi.test
FAIL: parallel-am.test
FAIL: txinfo3.test
FAIL: txinfo13.test
FAIL: txinfo16.test
FAIL: txinfo18.test
FAIL: txinfo21.test
FAIL: txinfo22.test
FAIL: txinfo23.test
FAIL: txinfo24.test
FAIL: txinfo25.test
FAIL: txinfo28.test
FAIL: txinfo33.test
FAIL: transform2.test
FAIL: version7.test
FAIL: vtexi4.test

Is the attached log file enough for you to investigate? You have access to
the machine.

===============================================================================

Bruno